net.sourceforge.pmd.ast

## Class ASTAnnotationTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTAnnotationTest

    public class ASTAnnotationTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTAnnotationTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAnnotationFailsWithJDK14()`
`void` `testAnnotationSucceedsWithDefaultMode()`
`void` `testAnnotationSucceedsWithJDK15()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTAnnotationTest

    public ASTAnnotationTest()

### Method Detail

#### testAnnotationSucceedsWithDefaultMode

    public void testAnnotationSucceedsWithDefaultMode()
                                               throws Throwable

Throws:
  `Throwable`

#### testAnnotationFailsWithJDK14

    public void testAnnotationFailsWithJDK14()
                                      throws Throwable

Throws:
  `Throwable`

#### testAnnotationSucceedsWithJDK15

    public void testAnnotationSucceedsWithJDK15()
                                         throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()